<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >

<mapper namespace="com.bonus.sharedstation.web.mapper.FirstAidMapper">

    <resultMap id="FirstAidInfoResultMap" type="com.bonus.sharedstation.web.domain.FirstAidInfo">
        <id column="id" property="id" jdbcType="INTEGER" />
        <result column="first_aid_name" property="firstAidName" jdbcType="VARCHAR" />
        <result column="video_url" property="videoUrl" jdbcType="VARCHAR" />
        <result column="instruction" property="instruction" jdbcType="LONGVARCHAR" />
        <result column="logo_address" property="logoAddress" jdbcType="VARCHAR" />
        <result column="publish_status" property="publishStatus" jdbcType="CHAR" />
        <result column="created_by" property="createdBy" jdbcType="VARCHAR" />
        <result column="created_time" property="createdTime" jdbcType="TIMESTAMP" />
        <result column="updated_time" property="updatedTime" jdbcType="TIMESTAMP" />
        <result column="updated_by" property="updatedBy" jdbcType="VARCHAR" />
        <result column="is_deleted" property="isDeleted" jdbcType="CHAR" />
        <result column="back_ground_address" property="backGroundAddress" jdbcType="VARCHAR" />
    </resultMap>

    <delete id="deleteById" parameterType="java.lang.Integer">
        update yz_first_aid_info set is_deleted = 1
        where id = #{id}
    </delete>
</mapper>

